sc::OneBodyIntV3(3)

NAME
sc::OneBodyIntV3 - This implements most one body integrals in the IntV3 library.

SYNOPSIS

#include <obintv3.h>

Inherits sc::OneBodyInt.

  Public Methods
OneBodyIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
~OneBodyIntV3 ()
void compute_shell (int, int)
Computes the integrals between basis functions in the given shell pair.

  Protected Types
typedef void(Int1eV3::* IntegralFunction )(int, int)

  Protected Attributes
Ref< Int1eV3 > int1ev3_
IntegralFunction intfunc_

DETAILED DESCRIPTION

This implements most one body integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.